#
# spec file for package golang-github-digitalocean-ceph_exporter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{go_nostrip}

Name:           golang-github-prometheus-alertmanager
Version:        0.14.0
Release:        lp150.1.2
License:        Apache-2.0
Summary:        Prometheus Alertmanager
Url:            https://prometheus.io/
Group:          System/Management
Source:         alertmanager-%{version}.tar.xz
Source1:        prometheus-alertmanager.service
Source2:        alertmanager.yml
# Lifted from Debian's alertmanager package
Patch1:         0001-Default-settings.patch
BuildRequires:  fdupes
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}
Requires(pre):  shadow
%{go_provides}

%description
The Alertmanager handles alerts sent by client applications such as the
Prometheus server. It takes care of deduplicating, grouping, and routing
them to the correct receiver integration such as email, PagerDuty, or
OpsGenie. It also takes care of silencing and inhibition of alerts.

%prep
%setup -q -n alertmanager-%{version}
%patch1 -p 1

%build
%goprep github.com/prometheus/alertmanager
%gobuild cmd/...

%install
%goinstall
%gosrc
mv %{buildroot}%{_bindir}/alertmanager %{buildroot}%{_bindir}/prometheus-alertmanager
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/prometheus-alertmanager.service
install -Dd -m 0755 %{buildroot}%{_sbindir}
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcprometheus-alertmanager
install -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/prometheus/alertmanager.yml
install -Dd -m 0755 %{buildroot}%{_sysconfdir}/prometheus/alertmanager_templates
install -Dd -m 0750 %{buildroot}%{_localstatedir}/lib/prometheus
install -Dd -m 0750 %{buildroot}%{_localstatedir}/lib/prometheus/alertmanager
%gofilelist
%fdupes %{buildroot}/%{_prefix}

%pre
%service_add_pre prometheus-alertmanager.service
getent group prometheus >/dev/null || %{_sbindir}/groupadd -r prometheus
getent passwd prometheus >/dev/null || %{_sbindir}/useradd -r -g prometheus -d %{_localstatedir}/lib/prometheus -M -s /sbin/nologin prometheus

%post
%service_add_post prometheus-alertmanager.service

%preun
%service_del_preun prometheus-alertmanager.service

%postun
%service_del_postun prometheus-alertmanager.service

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/prometheus-alertmanager
%{_bindir}/amtool
%{_unitdir}/prometheus-alertmanager.service
%{_sbindir}/rcprometheus-alertmanager
%dir %attr(0750, prometheus, prometheus) %{_localstatedir}/lib/prometheus
%dir %attr(0750, prometheus, prometheus) %{_localstatedir}/lib/prometheus/alertmanager
%dir %{_sysconfdir}/prometheus
%dir %{_sysconfdir}/prometheus/alertmanager_templates
%config(noreplace) %{_sysconfdir}/prometheus/alertmanager.yml

%changelog
* Thu Mar 15 2018 jan.fajerski@suse.com
- fix config token in alermanager.yml hipchat_url -> hipchat_api_url
* Wed Mar 14 2018 jan.fajerski@suse.com
- spec: fix argument for %%fdupes
- Update to 0.14.0:
  + Enhancements:
  * Allow templating PagerDuty receiver severity
  * Include receiver name in failed notifications log messages
  * Add mesh metrics
  + Bug fixes:
  * Don't notify of resolved alerts if none were reported firing
  * Notify only when new firing alerts are added
  * Don't count alerts with EndTime in the future as resolved
* Thu Jan 25 2018 kkaempf@suse.com
- Update to 0.13.0
  See https://github.com/prometheus/alertmanager/releases
* Thu Jul 27 2017 tserong@suse.com
- Add BuildRequires: fdupes
* Thu May 25 2017 tserong@suse.com
- Initial version
